# $Revision: 1.3 $, $Date: 2003/02/09 20:26:33 $
%define		dictname vietanh
Summary:	Vietnamese-English dictionary for dictd
Summary(pl):	Sownik wietnamsko-angielski dla dictd
Name:		dict-%{dictname}
Version:	1.0
Release:	1
License:	GPL (?)
Group:		Applications/Dictionaries
Source0:	http://vietlug.sourceforge.net/download/emacs/%{dictname}.index
Source1:	http://vietlug.sourceforge.net/download/emacs/%{dictname}.telex.dz
URL:		http://vietlug.sourceforge.net/
Requires:	dictd
Requires:	%{_sysconfdir}/dictd
BuildRoot:	%{tmpdir}/%{name}-%{version}-root-%(id -u -n)

%description
Vietnamese-English dictionary for dictd.

%description -l pl
Sownik wietnamsko-angielski dla dictd.

%prep
%setup -q -T -c

%install
rm -rf $RPM_BUILD_ROOT
install -d $RPM_BUILD_ROOT{%{_datadir}/dictd,%{_sysconfdir}/dictd}

install %{SOURCE0} $RPM_BUILD_ROOT%{_datadir}/dictd
install %{SOURCE1} $RPM_BUILD_ROOT%{_datadir}/dictd/%{dictname}.dict.dz

dictprefix=%{_datadir}/dictd/%{dictname}
echo "# Vietnamese-English dictionary
database %{dictname} {
	data  \"$dictprefix.dict.dz\"
	index \"$dictprefix.index\"
}" > $RPM_BUILD_ROOT%{_sysconfdir}/dictd/%{dictname}.dictconf

%clean
rm -rf $RPM_BUILD_ROOT

%post
if [ -f /var/lock/subsys/dictd ]; then
	/etc/rc.d/init.d/dictd restart 1>&2
fi

%postun
if [ -f /var/lock/subsys/dictd ]; then
	/etc/rc.d/init.d/dictd restart 1>&2 || true
fi

%files
%defattr(644,root,root,755)
%attr(640,root,root) %config(noreplace) %verify(not size mtime md5) %{_sysconfdir}/dictd/%{dictname}.dictconf
%{_datadir}/dictd/%{dictname}.*

%define date	%(echo `LC_ALL="C" date +"%a %b %d %Y"`)
%changelog
* %{date} PLD Team <feedback@pld.org.pl>
All persons listed below can be reached at <cvs_login>@pld.org.pl

$Log: dict-vietanh.spec,v $
Revision 1.3  2003/02/09 20:26:33  kloczek
- s/%setup -C/%setup -q -T -c/

Revision 1.2  2003/02/09 19:57:11  kloczek
- added missing %prep section (neccessary for builder script).

Revision 1.1  2003/02/08 21:30:18  gotar
- initial PLD release
